clear
%%%%%%%%%%%%%%%%%
%%%   e8_2    %%%
%%%%%%%%%%%%%%%%%
path( './icon/',path);
load actuator_armed_SL
load manual_control_setpoint_SL
load vehicle_global_velocity_setpoint_SL
load vehicle_attitude_setpoint_SL
load vehicle_local_position.mat;
%constant parameters
RAD2DEG=57.2957795;
DEG2RAD=0.0174533;

%PID
Kp_PITCH_ANGLE =6.5;
Kp_PITCH_AgngleRate = 0.1;
Ki_PITCH_AgngleRate = 0.02;
Kd_PITCH_AgngleRate = 0.001;
Kp_ROLL_ANGLE =6.5;
Kp_ROLL_AgngleRate = 0.1;
Ki_ROLL_AgngleRate = 0.02;
Kd_ROLL_AgngleRate = 0.001;

Kp_YAW_ANGLE = 3;
Kp_YAW_AngleRate = 0.5;
Ki_YAW_AngleRate = 0.01;
Kd_YAW_AngleRate = 0.00;

%λÿ
Kpxp=1.0;
Kpyp=1.0;
Kpzp=4.0;
Kvxp=3.0;Kvxi=0.1;Kvxd=0.01;
Kvyp=3.0;Kvyi=0.1;Kvyd=0.01;
Kvzp=0.45;Kvzi=0.01;Kvzd=0.005;

Saturation_I_RP_Max=0.3;
Saturation_I_RP_Min=-0.3;
Saturation_I_Y_Max=0.2;
Saturation_I_Y_Min=-0.2;
Saturation_I_ah=3.43;%0.5*g*tan(MAX_CONTROL_ANGLE_ROLL*DEG2RAD);
Saturation_I_az=5;%

%ƽǶȣλ
MAX_CONTROL_ANGLE_ROLL = 35;
MAX_CONTROL_ANGLE_PITCH  = 35;
%ƽٶ
MAX_CONTROL_ANGLE_RATE_PITCH = 220;
MAX_CONTROL_ANGLE_RATE_ROLL = 220;
MAX_CONTROL_ANGLE_RATE_Y = 200;

MAX_CONTROL_VELOCITY_XY = 5;
MAX_CONTROL_VELOCITY_Z = 3;
MAX_MAN_THR=0.9;
MIN_MAN_THR=0.05;
THR_HOVER=0.609;
